All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.visuals
Class ButtonDialog

    com.sas.visuals.ButtonDialog

All Implemented Interfaces:
  ContainerInterface, VisualInterface, com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, com.sas.ComponentInterface, com.sas.DesignTimeDropTargetInterface, com.sas.lang.StringDataInterface, com.sas.LinkPropertiesInterface, com.sas.ModelInterface, ValidatorInterface, com.sas.ViewInterface, MultipleValueEventSourceInterface, java.awt.event.WindowListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

Direct Known Subclasses:
  CustomizerDialog, OkCancelHelpDialog

    public class ButtonDialog

implements java.awt.event.WindowListener

See Also:
  Serialized Form

Field Summary
`protected ButtonPanel` | `buttonPanel`
`protected java.lang.String[][]` | `buttons`
`protected Panel` | `panel`

Fields inherited from class com.sas.awt.Dialog
`_cantUseSASModal, _inApplet, _modal, autoDispose, RB_KEY, READY, setVisibleCalled, t`

Constructor Summary
`ButtonDialog(java.awt.Frame frame)`
`ButtonDialog(java.awt.Frame frame, java.lang.String[][] buttons)`
`ButtonDialog(java.awt.Frame frame, java.lang.String title, java.lang.String[][] buttons)`

Method Summary
`ButtonPanel` | `getButtonPanel()`
`Panel` | `getMainPanel()`
`void` | `windowActivated(java.awt.event.WindowEvent evt)` Part of the implementation of the WindowListener interface.
`void` | `windowClosed(java.awt.event.WindowEvent evt)` Part of the implementation of the WindowListener interface.
`void` | `windowClosing(java.awt.event.WindowEvent evt)` Part of the implementation of the WindowListener interface.
`void` | `windowDeactivated(java.awt.event.WindowEvent evt)` Part of the implementation of the WindowListener interface.
`void` | `windowDeiconified(java.awt.event.WindowEvent evt)` Part of the implementation of the WindowListener interface.
`void` | `windowIconified(java.awt.event.WindowEvent evt)` Part of the implementation of the WindowListener interface.
`void` | `windowOpened(java.awt.event.WindowEvent evt)` Part of the implementation of the WindowListener interface.

Methods inherited from class com.sas.awt.Dialog
`center, centerOver, centerOverWindow, dispose, fireReadySignal, getAutoDispose, getDefaultHeight, getDefaultWidth, getExtendedBeanInfo, getText, hide, isSASModalEnabled, newDispatchThread, processWindowEvent, setAutoDispose, setDefaultHeight, setDefaultWidth, setModal, setResizable, setSASModalEnabled, setText, setTitle, setVisible, setVisible, show, stopDispatchThread, waitForReadySignal, waitTilReady`

Methods inherited from class com.sas.awt.DialogContainerComponent
`addNotify, clone, dragEnter, dragLeave, dragOver, drop, getContainerInterfaceSupportInfo, getErrorHandler, getInsets, getValidator, isIDEDnDDropBarrier, isIDEDnDDropTarget, isValid, removeNotify, setContainerInterfaceSupportInfo, setDefaultValues, setErrorHandler, setIDEDnDDropBarrier, setIDEDnDDropTarget, setInsets, setInsets, setValidator, superAddNotify, superGetInsets, superRemoveNotify, superSetDefaultValues`

Methods inherited from class com.sas.awt.DialogVisualComponent
`addLink, addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, attachModel, attachView, computePreferredSize, detachModel, detachView, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getBackgroundColor, getBorder, getComponentDescription, getComponentSupportInfo, getEventMethod, getEventValues, getFont, getForegroundColor, getHeight, getHorizontalPosition, getLinkInfo, getMinimumSize, getModelInterface, getPreferredSize, getPrePainter, getRequiredInterfaces, getVerticalPosition, getViewInterfaceSupportInfo, getVisualInterfaceSupportInfo, getWidth, initialize, initializeComponent, isDesignTime, isEnabled, isFocus, isLinked, isTransparent, isVisible, paint, propertyChange, queryLinks, queryLinks, refresh, removeAllLinks, removeInterfaceTraps, removeLink, removePropertyChangeListener, removeVetoableChangeListener, setBackgroundColor, setBorder, setBounds, setComponentDescription, setComponentSupportInfo, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setLinkInfo, setModelInterface, setPreferredSize, setPrePainter, setRequiredInterfaces, setTransparent, setVerticalPosition, setViewInterfaceSupportInfo, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate, supportsListenerInterface, supportsRequiredInterfaces, trapInterfaceEvents, update, validateObject`

Methods inherited from interface com.sas.awt.ContainerInterface
`getComponents, getLayout, invalidate, setLayout, validate`

Methods inherited from interface com.sas.awt.VisualInterface
`computePreferredSize, getBackgroundColor, getBorder, getFont, getForegroundColor, getHeight, getHorizontalPosition, getMinimumSize, getPreferredSize, getPrePainter, getVerticalPosition, getVisualInterfaceSupportInfo, getWidth, isEnabled, isFocus, isTransparent, isVisible, setBackgroundColor, setBorder, setBounds, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setPreferredSize, setPrePainter, setTransparent, setVerticalPosition, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate`

Field Detail

### panel

    protected Panel panel

### buttonPanel

    protected ButtonPanel buttonPanel

### buttons

    protected java.lang.String[][] buttons

Constructor Detail

### ButtonDialog

    public ButtonDialog(java.awt.Frame frame)

### ButtonDialog

    public ButtonDialog(java.awt.Frame frame,
                        java.lang.String[][] buttons)

### ButtonDialog

    public ButtonDialog(java.awt.Frame frame,
                        java.lang.String title,
                        java.lang.String[][] buttons)

Method Detail

### getMainPanel

    public Panel getMainPanel()

### getButtonPanel

    public ButtonPanel getButtonPanel()

### windowOpened

    public void windowOpened(java.awt.event.WindowEvent evt)

  Description copied from class: `Dialog`
  Part of the implementation of the WindowListener interface. This interface is used to listen for the close event on the window.

  Specified by:
    `windowOpened` in interface `java.awt.event.WindowListener`
  Overrides:
    `windowOpened` in class `Dialog`
  Parameters:
    `evt` - windowEvent

### windowClosing

    public void windowClosing(java.awt.event.WindowEvent evt)

  Description copied from class: `Dialog`
  Part of the implementation of the WindowListener interface. This interface is used to listen for the close event on the window.

  When the window close button is clicked, the window is destroyed using dispose() and a MessageBoxEvent is sent with the button field as CANCEL.

  Specified by:
    `windowClosing` in interface `java.awt.event.WindowListener`
  Overrides:
    `windowClosing` in class `Dialog`
  Parameters:
    `evt` - windowEvent

### windowClosed

    public void windowClosed(java.awt.event.WindowEvent evt)

  Description copied from class: `Dialog`
  Part of the implementation of the WindowListener interface. This interface is used to listen for the close event on the window.

  Specified by:
    `windowClosed` in interface `java.awt.event.WindowListener`
  Overrides:
    `windowClosed` in class `Dialog`
  Parameters:
    `evt` - windowEvent

### windowIconified

    public void windowIconified(java.awt.event.WindowEvent evt)

  Description copied from class: `Dialog`
  Part of the implementation of the WindowListener interface. This interface is used to listen for the close event on the window.

  Specified by:
    `windowIconified` in interface `java.awt.event.WindowListener`
  Overrides:
    `windowIconified` in class `Dialog`
  Parameters:
    `evt` - windowEvent

### windowDeiconified

    public void windowDeiconified(java.awt.event.WindowEvent evt)

  Description copied from class: `Dialog`
  Part of the implementation of the WindowListener interface. This interface is used to listen for the close event on the window.

  Specified by:
    `windowDeiconified` in interface `java.awt.event.WindowListener`
  Overrides:
    `windowDeiconified` in class `Dialog`
  Parameters:
    `evt` - windowEvent

### windowActivated

    public void windowActivated(java.awt.event.WindowEvent evt)

  Description copied from class: `Dialog`
  Part of the implementation of the WindowListener interface. This interface is used to listen for the close event on the window.

  Specified by:
    `windowActivated` in interface `java.awt.event.WindowListener`
  Overrides:
    `windowActivated` in class `Dialog`
  Parameters:
    `evt` - windowEvent

### windowDeactivated

    public void windowDeactivated(java.awt.event.WindowEvent evt)

  Description copied from class: `Dialog`
  Part of the implementation of the WindowListener interface. This interface is used to listen for the close event on the window.

  Specified by:
    `windowDeactivated` in interface `java.awt.event.WindowListener`
  Overrides:
    `windowDeactivated` in class `Dialog`
  Parameters:
    `evt` - windowEvent

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.